using System;
using System.Collections.Generic;
using System.IO;
using UnityEngine;
using UnityEngine.Events;

namespace Mod
{
    public class Mod
    {
        public static void Main()
        {
            CategoryBuilder.Create("World War I", "A category for world war era items.", ModAPI.LoadSprite("Tab.png"));
            //German Trench Knife
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Knife"), 
                    NameOverride = "German Trench Knife-AWM",
                    NameToOrderByOverride = "Knife 2", 
                    DescriptionOverride = "A combat knife used by the Germans during WW1.",
                    CategoryOverride = ModAPI.FindCategory("World War I"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbs/German Trench Knife Thumb.png", 5f),
                    AfterSpawn = (Instance) =>
			        {
                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/German Trench Knife.png");
                     Instance.FixColliders();

				    }
			    }
		    );     
		    //British Trench Knife
		    ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Knife"),
                    NameOverride = "British Trench Knife-AWM",
                    NameToOrderByOverride = "Knife 2", 
                    DescriptionOverride = "A combat knife used by the British during WW1.",
                    CategoryOverride = ModAPI.FindCategory("World War I"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbs/British Trench Knife Thumb.png", 5f),
                    AfterSpawn = (Instance) =>
			        {
                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/British Trench Knife.png");
                     Instance.FixColliders();

				    }
			    }
		    );
		    //Trench Club
 		    ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Baseball Bat"),
                    NameOverride = "Trench club-AWM", 
                    NameToOrderByOverride = "Baseball Bat 2",
                    DescriptionOverride = "A improvised weapon made to bash in skulls.",
                    CategoryOverride = ModAPI.FindCategory("World War I"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbs/Trench Club Thumb.png", 5f),
                    AfterSpawn = (Instance) =>
			        {
                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/Trench Club.png");
                     Instance.FixColliders();

				    }
			    }
		    );
			                  

				     
	   	    //Gewehr 98
		    ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("M1 Garand"), 
                    NameOverride = "Gewehr 98-AWM", 
                    NameToOrderByOverride = "M1 Garand 2", 
                    DescriptionOverride = "The standard issue rifle for Germany during WW1.",
                    CategoryOverride = ModAPI.FindCategory("World War I"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbs/Gewehr 98 Thumb.png", 5f),
                    AfterSpawn = (Instance) =>
			        {
                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/Gewehr 98.png");
                     Instance.FixColliders();
                       var firearm = Instance.GetComponent<FirearmBehaviour>();

                        firearm.ShotSounds = new AudioClip[]
                        {
                            ModAPI.LoadSound("Gewehr 98 shot.wav")
                        };
				    }
			    }
		    );
	         //MP-18
			 ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("PPSH"), 
                    NameOverride = "MP-18-AWM", 
                    NameToOrderByOverride = "PPSH 2", 
                    DescriptionOverride = "The first submachine gun ever used in combat, created by the Germans.",
                    CategoryOverride = ModAPI.FindCategory("World War I"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbs/MP 18 Thumb.png", 5f),
                    AfterSpawn = (Instance) =>
			        {
                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/MP 18.png");
                     Instance.FixColliders();
                        var firearm = Instance.GetComponent<FirearmBehaviour>();
						firearm.AutomaticFireInterval = 0.123f;
                        firearm.ShotSounds = new AudioClip[]
                        {
                            ModAPI.LoadSound("MP-18 shot.wav")
                        };
				    }
			    }
		    );
		     //Lee Enfield
			 ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("M1 Garand"),
                    NameOverride = "Lee Enfield-AWM",
                    NameToOrderByOverride = "M1 Garand 2", 
                    DescriptionOverride = "The standard issue rifle for British soldiers during WW1.",
                    CategoryOverride = ModAPI.FindCategory("World War I"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbs/Lee Enfield Thumb.png", 5f),
                    AfterSpawn = (Instance) =>
			        {
                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/Lee Enfield.png");
                     Instance.FixColliders();
                        var firearm = Instance.GetComponent<FirearmBehaviour>();                      
                        firearm.ShotSounds = new AudioClip[]
                        {
                            ModAPI.LoadSound("Lee Enfield shot.wav")
                        };
				    }
			    }
		    );
		    //Mosin Nagant
 		    ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("M1 Garand"),
                    NameOverride = "Mosin Nagant-AWM", 
                    NameToOrderByOverride = "M1 Garand 2",
                    DescriptionOverride = "The standard issue rifle for Russian soldiers during WW1/WW2.",
                    CategoryOverride = ModAPI.FindCategory("World War I"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbs/Mosin Nagant Thumb.png", 5f),
                    AfterSpawn = (Instance) =>
			        {
                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/Mosin Nagant.png");
                     Instance.FixColliders();
                        var firearm = Instance.GetComponent<FirearmBehaviour>();                      
                        firearm.ShotSounds = new AudioClip[]
                        {
                            ModAPI.LoadSound("Mosin Nagant shot.wav")
                        };
				    }
			    }
		    );
	   		    //P08 Luger
				ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Pistol"),
                    NameOverride = "P08 Luger-AWM", 
                    NameToOrderByOverride = "Revolver 2", 
                    DescriptionOverride = "A famous German handgun from the first and second world wars.",
                    CategoryOverride = ModAPI.FindCategory("World War I"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbs/Luger Thumb.png", 5f),
                    AfterSpawn = (Instance) =>
			        {
                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/Luger.png");
                     Instance.FixColliders();
                           
				    }
			    }
		    );
	   	    //Colt 1911
			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Pistol"), 
                    NameOverride = "Colt 1911-AWM", 
                    NameToOrderByOverride = "Revolver 2", 
                    DescriptionOverride = "A expensive handgun used by the British.",
                    CategoryOverride = ModAPI.FindCategory("World War I"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbs/Colt 1911 Thumb.png", 5f),
                    AfterSpawn = (Instance) =>
			        {
                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/Colt 1911.png");
                     Instance.FixColliders();

				    }
			    }
		    );
	   	    //German Officer Sword
			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Sword"), 
                    NameOverride = "German Officer Sword-AWM", 
                    NameToOrderByOverride = "Sword 2",
                    DescriptionOverride = "Used to slice off heads and limbs of the lesser enemy.",
                    CategoryOverride = ModAPI.FindCategory("World War I"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbs/German Officer Sword Thumb.png", 5f),
                    AfterSpawn = (Instance) =>
			        {
                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/German Officer Sword.png");
                     Instance.FixColliders();

				    }
			    }
		    );
	  	    //Lebel Rifle
		    ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("M1 Garand"), 
                    NameOverride = "Lebel Rifle-AWM", 
                    NameToOrderByOverride = "M1 Garand 2", 
                    DescriptionOverride = "The standard issue rifle for French Soldiers during WW1.",
                    CategoryOverride = ModAPI.FindCategory("World War I"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbs/Lebel Rifle Thumb.png", 5f),
                    AfterSpawn = (Instance) =>
			        {
                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/Lebel Rifle.png");
                     Instance.FixColliders();
                             var firearm = Instance.GetComponent<FirearmBehaviour>();                      
                        firearm.ShotSounds = new AudioClip[]
                        {
                            ModAPI.LoadSound("Lebel Rifle shot.wav")
                        };
				    }
			    }
		    );
	   	    //Chauchat Machine Gun
		    ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("PPSH"), // Searches the ingame catalog and returns with the inputted string if possible.
                    NameOverride = "Chauchat Machine Gun-AWM", // Name.
                    NameToOrderByOverride = "PPSH 2", // How the item is ordered (I didn't want it in the 'G' section, so I renamed it to Brick 2, so it shows up next to the brick.)
                    DescriptionOverride = "A heavy duty French machine gun.",// Description
                    CategoryOverride = ModAPI.FindCategory("World War I"),//Category
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbs/Chauchat Machine Gun Thumb.png", 5f),//Thumbnail
                    AfterSpawn = (Instance) =>
			        {
                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/Chauchat Machine Gun.png");
                     Instance.FixColliders();
                        var firearm = Instance.GetComponent<FirearmBehaviour>();
						firearm.AutomaticFireInterval = 0.189f;
                        firearm.ShotSounds = new AudioClip[]
                        {
                            ModAPI.LoadSound("Chauchat shot.wav")
                        };
				    }
			    }
		    );
	        ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
                    NameOverride = "German Soldier-AWM", //new item name with a suffix to assure it is globally unique
                    DescriptionOverride = "Served in the first World War.", //new item description
                    CategoryOverride = ModAPI.FindCategory("World War I"), //new item category
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbs/German WW1 Soldier Thumb.png"), //new item thumbnail (relative path)
                    AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
                    {
                                    //load textures for each layer (see Human textures folder in this repository)
                                    var skin = ModAPI.LoadTexture("Sprites/German WW1 Soldier.png");
                                    var flesh = ModAPI.LoadTexture("blueFlesh.png");
                                    var bone = ModAPI.LoadTexture("blueBone.png");

                                            //get person
                                    var person = Instance.GetComponent<PersonBehaviour>();
   
                                    
									person.SetBodyTextures(skin, flesh, bone, 1);

                                   
                                     person.SetBruiseColor(86, 62, 130);
                                     person.SetSecondBruiseColor(154, 0, 7); 
                                     person.SetThirdBruiseColor(207, 206, 120); 
                                     person.SetRottenColour(202, 199, 104); 
                                     person.SetBloodColour(108, 0, 4);
                    }
                }
            );
	  	    ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
                    NameOverride = "French Soldier-AWM", //new item name with a suffix to assure it is globally unique
                    DescriptionOverride = "Served in the first World War.", //new item description
                    CategoryOverride = ModAPI.FindCategory("World War I"), //new item category
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbs/French WW1 Soldier Thumb.png"), //new item thumbnail (relative path)
                    AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
                    {
                                    //load textures for each layer (see Human textures folder in this repository)
                                    var skin = ModAPI.LoadTexture("Sprites/French WW1 Soldier.png");
                                    var flesh = ModAPI.LoadTexture("blueFlesh.png");
                                    var bone = ModAPI.LoadTexture("blueBone.png");

                                            //get person
                                    var person = Instance.GetComponent<PersonBehaviour>();
   
                                    
									person.SetBodyTextures(skin, flesh, bone, 1);

                                   
                                     person.SetBruiseColor(86, 62, 130);
                                     person.SetSecondBruiseColor(154, 0, 7); 
                                     person.SetThirdBruiseColor(207, 206, 120); 
                                     person.SetRottenColour(202, 199, 104); 
                                     person.SetBloodColour(108, 0, 4);
                    }
                }
            );
	        ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "PickelHaube-AWM",
                    NameToOrderByOverride = "f",
                    DescriptionOverride = "A iconic German WW1 Helmet.",
                    CategoryOverride = ModAPI.FindCategory("World War I"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbs/PickelHaube Thumb.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/PickelHaube.png");
						Instance.FixColliders();
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 2f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 0;
                    }
                }
            );
	        ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "French Cap-AWM",
                    NameToOrderByOverride = "f",
                    DescriptionOverride = "Standard French cap.",
                    CategoryOverride = ModAPI.FindCategory("World War I"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbs/French Cap Thumb.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/French Cap.png");
						Instance.FixColliders();
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 2f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 0;
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "French Helmet-AWM",
                    NameToOrderByOverride = "f",
                    DescriptionOverride = "Standard French Helmet.",
                    CategoryOverride = ModAPI.FindCategory("World War I"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbs/French Helmet Thumb.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/French Helmet.png");
						Instance.FixColliders();
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 2f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 0;
                    }
                }
            );
		    ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Camouflaged Stahlhelm-AWM",
                    NameToOrderByOverride = "f",
                    DescriptionOverride = "A late war German helmet.",
                    CategoryOverride = ModAPI.FindCategory("World War I"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbs/Camo Stahlhelm Thumb.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/Camo Stahlhelm.png");
						Instance.FixColliders();
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 2f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 0;
                    }
                }
            );
				    ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "German Officers Cap-AWM",
                    NameToOrderByOverride = "f",
                    DescriptionOverride = "Used to show ranking.",
                    CategoryOverride = ModAPI.FindCategory("World War I"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbs/German Officer Cap Thumb.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/German Officer Cap.png");
						Instance.FixColliders();
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 2f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 0;
                    }
                }
            );
	        ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "French Officers Cap-AWM",
                    NameToOrderByOverride = "f",
                    DescriptionOverride = "Used to show ranking.",
                    CategoryOverride = ModAPI.FindCategory("World War I"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbs/French Officer Cap Thumb.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/French Officer Cap.png");
						Instance.FixColliders();
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 2f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 0;
                    }
                }
            );
		    ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Gas Mask-AWM",
                    NameToOrderByOverride = "f",
                    DescriptionOverride = "Saves your lungs from being turned to mush.",
                    CategoryOverride = ModAPI.FindCategory("World War I"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbs/Gas Mask Thumb.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/Gas Mask.png");
						Instance.FixColliders();
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 2f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 0;
                    }
                }
            );
		    ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Light Machine Gun"), // Searches the ingame catalog and returns with the inputted string if possible.
                    NameOverride = "Maxim Heavy Machine Gun-AWM", // Name.
                    NameToOrderByOverride = "Light Machine Gun 2", // How the item is ordered (I didn't want it in the 'G' section, so I renamed it to Brick 2, so it shows up next to the brick.)
                    DescriptionOverride = "A heavy machine gun used by the Germans in WW1.",// Description
                    CategoryOverride = ModAPI.FindCategory("World War I"),//Category
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbs/Maxim Gun Thumb.png", 5f),//Thumbnail
                    AfterSpawn = (Instance) =>
			        {
                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/Maxim Gun.png");
                     Instance.FixColliders();
                     var firearm = Instance.GetComponent<FirearmBehaviour>();
                        firearm.ShotSounds = new AudioClip[]
                        {
                            ModAPI.LoadSound("Maxim shot.wav")
                        };
				    }
			    }
		    );
		    ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Giant Wooden Bowl"), // Searches the ingame catalog and returns with the inputted string if possible.
                    NameOverride = "Trench-AWM", // Name.
                    NameToOrderByOverride = "Giant Wooden Bowl 2", // How the item is ordered (I didn't want it in the 'G' section, so I renamed it to Brick 2, so it shows up next to the brick.)
                    DescriptionOverride = "You spend your final hours in here, or the rest of your life.",// Description
                    CategoryOverride = ModAPI.FindCategory("World War I"),//Category
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbs/Trench Thumb.png", 5f),//Thumbnail
                    AfterSpawn = (Instance) =>
			        {
                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/Trench.png");
                     Instance.FixColliders();

				    }
			    }
		    );
		    ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
                    NameOverride = "German StormTrooper-AWM", //new item name with a suffix to assure it is globally unique
                    DescriptionOverride = "Elite WW1 soldiers that struck fear into the hearts of the enemy, also the first soldiers to wear the Stahlhelm.", //new item description
                    CategoryOverride = ModAPI.FindCategory("World War I"), //new item category
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbs/German StormTrooper Thumb.png"), //new item thumbnail (relative path)
                    AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
                    {
                                    //load textures for each layer (see Human textures folder in this repository)
                                    var skin = ModAPI.LoadTexture("Sprites/German StormTrooper.png");
                                    var flesh = ModAPI.LoadTexture("blueFlesh.png");
                                    var bone = ModAPI.LoadTexture("blueBone.png");

                                            //get person
                                    var person = Instance.GetComponent<PersonBehaviour>();
   
                                    
									person.SetBodyTextures(skin, flesh, bone, 1);

                                   
                                     person.SetBruiseColor(86, 62, 130);
                                     person.SetSecondBruiseColor(154, 0, 7); 
                                     person.SetThirdBruiseColor(207, 206, 120); 
                                     person.SetRottenColour(202, 199, 104); 
                                     person.SetBloodColour(108, 0, 4);
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Stahlhelm-AWM",
                    NameToOrderByOverride = "f",
                    DescriptionOverride = "Worn by StormTroopers during WW1 and by most soldiers in WW2.",
                    CategoryOverride = ModAPI.FindCategory("World War I"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbs/Stahlhelm Thumb.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/Stahlhelm.png");
						Instance.FixColliders();
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 2f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 0;
                    }
                }
            );
	  	    ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
                    NameOverride = "British Soldier-AWM", //new item name with a suffix to assure it is globally unique
                    DescriptionOverride = "Served in the war.", //new item description
                    CategoryOverride = ModAPI.FindCategory("World War I"), //new item category
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbs/British Soldier Thumb.png"), //new item thumbnail (relative path)
                    AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
                    {
                                    //load textures for each layer (see Human textures folder in this repository)
                                    var skin = ModAPI.LoadTexture("Sprites/British Soldier.png");
                                    var flesh = ModAPI.LoadTexture("blueFlesh.png");
                                    var bone = ModAPI.LoadTexture("blueBone.png");

                                            //get person
                                    var person = Instance.GetComponent<PersonBehaviour>();
   
                                    
									person.SetBodyTextures(skin, flesh, bone, 1);

                                   
                                     person.SetBruiseColor(86, 62, 130);
                                     person.SetSecondBruiseColor(154, 0, 7); 
                                     person.SetThirdBruiseColor(207, 206, 120); 
                                     person.SetRottenColour(202, 199, 104); 
                                     person.SetBloodColour(108, 0, 4);
                    }
                }
            );
     	    ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "British Helmet-AWM",
                    NameToOrderByOverride = "f",
                    DescriptionOverride = "Worn by British Soldiers.",
                    CategoryOverride = ModAPI.FindCategory("World War I"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbs/British Helmet Thumb.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/British Helmet.png");
						Instance.FixColliders();
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 2f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 0;
                    }
                }
            );
	  	    ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
                    NameOverride = "Russian Soldier-AWM", //new item name with a suffix to assure it is globally unique
                    DescriptionOverride = "Served in the war.", //new item description
                    CategoryOverride = ModAPI.FindCategory("World War I"), //new item category
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbs/Russian Soldier Thumb.png"), //new item thumbnail (relative path)
                    AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
                    {
                                    //load textures for each layer (see Human textures folder in this repository)
                                    var skin = ModAPI.LoadTexture("Sprites/Russian Soldier.png");
                                    var flesh = ModAPI.LoadTexture("blueFlesh.png");
                                    var bone = ModAPI.LoadTexture("blueBone.png");

                                            //get person
                                    var person = Instance.GetComponent<PersonBehaviour>();
   
                                    
									person.SetBodyTextures(skin, flesh, bone, 1);

                                   
                                     person.SetBruiseColor(86, 62, 130);
                                     person.SetSecondBruiseColor(154, 0, 7); 
                                     person.SetThirdBruiseColor(207, 206, 120); 
                                     person.SetRottenColour(202, 199, 104); 
                                     person.SetBloodColour(108, 0, 4);
                    }
                }
            );
		    ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Russian Helmet-AWM",
                    NameToOrderByOverride = "f",
                    DescriptionOverride = "Worn by Russian Soldiers.",
                    CategoryOverride = ModAPI.FindCategory("World War I"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbs/Russian Helmet Thumb.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/Russian Helmet.png");
						Instance.FixColliders();
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 2f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 0;
                    }
                }
            );
     	    ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Light Machine Gun"), // Searches the ingame catalog and returns with the inputted string if possible.
                    NameOverride = "Vickers Gun-AWM", // Name.
                    NameToOrderByOverride = "Light Machine Gun 2", // How the item is ordered (I didn't want it in the 'G' section, so I renamed it to Brick 2, so it shows up next to the brick.)
                    DescriptionOverride = "A heavy machine used by the British in WW1(use the VIckers turret base and attach them with a pin).",// Description
                    CategoryOverride = ModAPI.FindCategory("World War I"),//Category
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbs/Vickers Gun Thumb.png", 5f),//Thumbnail
                    AfterSpawn = (Instance) =>
			        {
                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/Vickers Gun.png");
                     Instance.FixColliders();
                        var firearm = Instance.GetComponent<FirearmBehaviour>();
						firearm.AutomaticFireInterval = 0.20f;
                        firearm.ShotSounds = new AudioClip[]
                        {
                            ModAPI.LoadSound("Vickers shot.wav")
                        };
				    }
			    }
		    );
	        ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("PPSH"), // Searches the ingame catalog and returns with the inputted string if possible.
                    NameOverride = "Lewis Gun-AWM", // Name.
                    NameToOrderByOverride = "PPSH 2", // How the item is ordered (I didn't want it in the 'G' section, so I renamed it to Brick 2, so it shows up next to the brick.)
                    DescriptionOverride = "A light machine gun used by the British during WW1.",// Description
                    CategoryOverride = ModAPI.FindCategory("World War I"),//Category
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbs/Lewis Gun Thumb.png", 5f),//Thumbnail
                    AfterSpawn = (Instance) =>
			        {
                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/Lewis Gun.png");
                     Instance.FixColliders();
                               var firearm = Instance.GetComponent<FirearmBehaviour>();
						firearm.AutomaticFireInterval = 0.198f;
                        firearm.ShotSounds = new AudioClip[]
                        {
                            ModAPI.LoadSound("Lewis shot.wav")
                        };
				    }
			    }
		    );
		    ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Metal Cube"), // Searches the ingame catalog and returns with the inputted string if possible.
                    NameOverride = "Vickers Base-AWM", // Name.
                    NameToOrderByOverride = "Metal Square 2", // How the item is ordered (I didn't want it in the 'G' section, so I renamed it to Brick 2, so it shows up next to the brick.)
                    DescriptionOverride = "Mount the Vickers on top of it using a pin.",// Description
                    CategoryOverride = ModAPI.FindCategory("World War I"),//Category
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbs/Vickers Base Thumb.png", 5f),//Thumbnail
                    AfterSpawn = (Instance) =>
			        {
                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/Vickers Base.png");
                     Instance.FixColliders();
                   
                      
				    }
			    }
		    );
		    ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
                    NameOverride = "Austro Hungarian Soldier-AWM", //new item name with a suffix to assure it is globally unique
                    DescriptionOverride = "Served in the war.", //new item description
                    CategoryOverride = ModAPI.FindCategory("World War I"), //new item category
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbs/Austro Hungarian Soldier Thumb.png"), //new item thumbnail (relative path)
                    AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
                    {
                                    //load textures for each layer (see Human textures folder in this repository)
                                    var skin = ModAPI.LoadTexture("Sprites/Austro Hungarian Soldier.png");
                                    var flesh = ModAPI.LoadTexture("blueFlesh.png");
                                    var bone = ModAPI.LoadTexture("blueBone.png");

                                            //get person
                                    var person = Instance.GetComponent<PersonBehaviour>();
   
                                    
									person.SetBodyTextures(skin, flesh, bone, 1);

                                   
                                     person.SetBruiseColor(86, 62, 130);
                                     person.SetSecondBruiseColor(154, 0, 7); 
                                     person.SetThirdBruiseColor(207, 206, 120); 
                                     person.SetRottenColour(202, 199, 104); 
                                     person.SetBloodColour(108, 0, 4);
                    }
                }
            );
	        ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Austro Hungarian Field Cap-AWM",
                    NameToOrderByOverride = "f",
                    DescriptionOverride = "Worn by Austro Hungarian Soldiers.",
                    CategoryOverride = ModAPI.FindCategory("World War I"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbs/Austro Hungarian Field Cap Thumb.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/Austro Hungarian Field Cap.png");
						Instance.FixColliders();
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 2f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 0;
                    }
                }
            );
		    ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
                    NameOverride = "Austro Hungarian Officer-AWM", //new item name with a suffix to assure it is globally unique
                    DescriptionOverride = "Commanded his men in battle.", //new item description
                    CategoryOverride = ModAPI.FindCategory("World War I"), //new item category
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbs/Austro Hungarian Officer Thumb.png"), //new item thumbnail (relative path)
                    AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
                    {
                                    //load textures for each layer (see Human textures folder in this repository)
                                    var skin = ModAPI.LoadTexture("Sprites/Austro Hungarian Officer.png");
                                    var flesh = ModAPI.LoadTexture("blueFlesh.png");
                                    var bone = ModAPI.LoadTexture("blueBone.png");

                                            //get person
                                    var person = Instance.GetComponent<PersonBehaviour>();
   
                                    
									person.SetBodyTextures(skin, flesh, bone, 1);

                                   
                                     person.SetBruiseColor(86, 62, 130);
                                     person.SetSecondBruiseColor(154, 0, 7); 
                                     person.SetThirdBruiseColor(207, 206, 120); 
                                     person.SetRottenColour(202, 199, 104); 
                                     person.SetBloodColour(108, 0, 4);
                    }
                }
            );
		  		    ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
                    NameOverride = "British Officer-AWM", //new item name with a suffix to assure it is globally unique
                    DescriptionOverride = "Commanded his men in battle.", //new item description
                    CategoryOverride = ModAPI.FindCategory("World War I"), //new item category
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbs/British Officer Thumb.png"), //new item thumbnail (relative path)
                    AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
                    {
                                    //load textures for each layer (see Human textures folder in this repository)
                                    var skin = ModAPI.LoadTexture("Sprites/British Officer.png");
                                    var flesh = ModAPI.LoadTexture("blueFlesh.png");
                                    var bone = ModAPI.LoadTexture("blueBone.png");

                                            //get person
                                    var person = Instance.GetComponent<PersonBehaviour>();
   
                                    
									person.SetBodyTextures(skin, flesh, bone, 1);

                                   
                                     person.SetBruiseColor(86, 62, 130);
                                     person.SetSecondBruiseColor(154, 0, 7); 
                                     person.SetThirdBruiseColor(207, 206, 120); 
                                     person.SetRottenColour(202, 199, 104); 
                                     person.SetBloodColour(108, 0, 4);
                    }
                }
            );
		  	        ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "British Officer Cap-AWM",
                    NameToOrderByOverride = "f",
                    DescriptionOverride = "Worn by British Officers during WW1.",
                    CategoryOverride = ModAPI.FindCategory("World War I"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbs/British Officer Cap Thumb.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/British Officer Cap.png");
						Instance.FixColliders();
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 2f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 0;
                    }
                }
            );
		    		    ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Brick"), // Searches the ingame catalog and returns with the inputted string if possible.
                    NameOverride = "Trench Whistle-AWM", // Name.
                    NameToOrderByOverride = "Brick 2", // How the item is ordered (I didn't want it in the 'G' section, so I renamed it to Brick 2, so it shows up next to the brick.)
                    DescriptionOverride = "OVER THE TOP BOYS.",// Description
                    CategoryOverride = ModAPI.FindCategory("World War I"),//Category
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbs/Trench Whistle Thumb.png", 5f),//Thumbnail
                    AfterSpawn = (Instance) =>
			        {
                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/Trench Whistle.png");
                     Instance.FixColliders();
                       				AudioSource AS = Instance.AddComponent<AudioSource>();
                        AS.minDistance = 1;
                        AS.maxDistance = 3;




                        int index = 0;
                        AudioClip[] AudioData = new AudioClip[]
                        {
                            ModAPI.LoadSound("Trench Whistle Sound.mp3"),
                        };


                        Instance.FixColliders();

                        Instance.AddComponent<UseEventTrigger>().Action = () =>
                        {
                            AS.clip = AudioData[index];
                            AS.Play();

                            index++;
                            if (index == AudioData.Length) index = 0;
                        };
				    }
			    }
		    );    
		 
		    ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
                    NameOverride = "German Officer-AWM", //new item name with a suffix to assure it is globally unique
                    DescriptionOverride = "Commanded his men in battle.", //new item description
                    CategoryOverride = ModAPI.FindCategory("World War I"), //new item category
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbs/German Officer Thumb.png"), //new item thumbnail (relative path)
                    AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
                    {
                                    //load textures for each layer (see Human textures folder in this repository)
                                    var skin = ModAPI.LoadTexture("Sprites/German Officer.png");
                                    var flesh = ModAPI.LoadTexture("blueFlesh.png");
                                    var bone = ModAPI.LoadTexture("blueBone.png");

                                            //get person
                                    var person = Instance.GetComponent<PersonBehaviour>();
   
                                    
									person.SetBodyTextures(skin, flesh, bone, 1);

                                   
                                     person.SetBruiseColor(86, 62, 130);
                                     person.SetSecondBruiseColor(154, 0, 7); 
                                     person.SetThirdBruiseColor(207, 206, 120); 
                                     person.SetRottenColour(202, 199, 104); 
                                     person.SetBloodColour(108, 0, 4);
                    }
                }
            );
	        ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
                    NameOverride = "French Officer-AWM", //new item name with a suffix to assure it is globally unique
                    DescriptionOverride = "Commanded his men in battle.", //new item description
                    CategoryOverride = ModAPI.FindCategory("World War I"), //new item category
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbs/French Officer Thumb.png"), //new item thumbnail (relative path)
                    AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
                    {
                                    //load textures for each layer (see Human textures folder in this repository)
                                    var skin = ModAPI.LoadTexture("Sprites/French Officer.png");
                                    var flesh = ModAPI.LoadTexture("blueFlesh.png");
                                    var bone = ModAPI.LoadTexture("blueBone.png");

                                            //get person
                                    var person = Instance.GetComponent<PersonBehaviour>();
   
                                    
									person.SetBodyTextures(skin, flesh, bone, 1);

                                   
                                     person.SetBruiseColor(86, 62, 130);
                                     person.SetSecondBruiseColor(154, 0, 7); 
                                     person.SetThirdBruiseColor(207, 206, 120); 
                                     person.SetRottenColour(202, 199, 104); 
                                     person.SetBloodColour(108, 0, 4);
                    }
                }
            );
			        ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
                    NameOverride = "Russian Officer-AWM", //new item name with a suffix to assure it is globally unique
                    DescriptionOverride = "Commanded his men in battle.", //new item description
                    CategoryOverride = ModAPI.FindCategory("World War I"), //new item category
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbs/Russian officer Thumb.png"), //new item thumbnail (relative path)
                    AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
                    {
                                    //load textures for each layer (see Human textures folder in this repository)
                                    var skin = ModAPI.LoadTexture("Sprites/Russian officer.png");
                                    var flesh = ModAPI.LoadTexture("blueFlesh.png");
                                    var bone = ModAPI.LoadTexture("blueBone.png");

                                            //get person
                                    var person = Instance.GetComponent<PersonBehaviour>();
   
                                    
									person.SetBodyTextures(skin, flesh, bone, 1);

                                   
                                     person.SetBruiseColor(86, 62, 130);
                                     person.SetSecondBruiseColor(154, 0, 7); 
                                     person.SetThirdBruiseColor(207, 206, 120); 
                                     person.SetRottenColour(202, 199, 104); 
                                     person.SetBloodColour(108, 0, 4);
                    }
                }
            );
				  	        ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Russian Officer Cap-AWM",
                    NameToOrderByOverride = "f",
                    DescriptionOverride = "Worn by Russian Officers during WW1.",
                    CategoryOverride = ModAPI.FindCategory("World War I"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbs/Russian officer Cap Thumb.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/Russian officer Cap.png");
						Instance.FixColliders();
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 2f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 0;
                    }
                }
            );
				    ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Revolver"), // Searches the ingame catalog and returns with the inputted string if possible.
                    NameOverride = "Webley Revolver-AWM", // Name.
                    NameToOrderByOverride = "Revolver 2", // How the item is ordered (I didn't want it in the 'G' section, so I renamed it to Brick 2, so it shows up next to the brick.)
                    DescriptionOverride = "The standard issue side arm for British soldiers during WW1.",// Description
                    CategoryOverride = ModAPI.FindCategory("World War I"),//Category
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbs/Webley Revolver Thumb.png", 5f),//Thumbnail
                    AfterSpawn = (Instance) =>
			        {
                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/Webley Revolver.png");
                     Instance.FixColliders();
                     var firearm = Instance.GetComponent<FirearmBehaviour>();
                        firearm.ShotSounds = new AudioClip[]
                        {
                            ModAPI.LoadSound("Webly shot.wav")
                        };
				    }
			    }
		    );
		  			    ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Handgrenade"), // Searches the ingame catalog and returns with the inputted string if possible.
                    NameOverride = "German Stick Grenade-AWM", // Name.
                    NameToOrderByOverride = "Handgrenade 2", // How the item is ordered (I didn't want it in the 'G' section, so I renamed it to Brick 2, so it shows up next to the brick.)
                    DescriptionOverride = "A grenade used by the Germans in WW1/WW2.",// Description
                    CategoryOverride = ModAPI.FindCategory("World War I"),//Category
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbs/German Grenade Thumb.png", 5f),//Thumbnail
                    AfterSpawn = (Instance) =>
			        {
                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/German Grenade.png");
                     Instance.FixColliders();
                    
				    }
			    }
		    );
		    ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("General Purpose Bomb"), // Searches the ingame catalog and returns with the inputted string if possible.
                    NameOverride = "Mortar shell-AWM", // Name.
                    NameToOrderByOverride = "General Purpose Bomb 2", // How the item is ordered (I didn't want it in the 'G' section, so I renamed it to Brick 2, so it shows up next to the brick.)
                    DescriptionOverride = "A tiny yet deadly bomb.",// Description
                    CategoryOverride = ModAPI.FindCategory("World War I"),//Category
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbs/Mortar shell Thumb.png", 5f),//Thumbnail
                    AfterSpawn = (Instance) =>
			        {
                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/Mortar shell.png");
                     Instance.FixColliders();
                    
				    }
			    }
		    );
		    ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Handgrenade"), // Searches the ingame catalog and returns with the inputted string if possible.
                    NameOverride = "Handgrenade-AWM", // Name.
                    NameToOrderByOverride = "Grenade 2", // How the item is ordered (I didn't want it in the 'G' section, so I renamed it to Brick 2, so it shows up next to the brick.)
                    DescriptionOverride = "A very important weapon for any soldier.",// Description
                    CategoryOverride = ModAPI.FindCategory("World War I"),//Category
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbs/Handgrenade Thumb.png", 5f),//Thumbnail
                    AfterSpawn = (Instance) =>
			        {
                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/Handgrenade.png");
                     Instance.FixColliders();
                    
				    }
			    }
		    );
		   ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Dynamite"), // Searches the ingame catalog and returns with the inputted string if possible.
                    NameOverride = "Landmine-AWM", // Name.
                    NameToOrderByOverride = "Dynamite 2", // How the item is ordered (I didn't want it in the 'G' section, so I renamed it to Brick 2, so it shows up next to the brick.)
                    DescriptionOverride = "A pressure activated explosive device..",// Description
                    CategoryOverride = ModAPI.FindCategory("World War I"),//Category
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbs/Landmine Thumb.png", 5f),//Thumbnail
                    AfterSpawn = (Instance) =>
			        {
                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/Landmine.png");
                     Instance.FixColliders();
                     Instance.GetComponent<ExplosiveBehaviour>().ImpactForceThreshold = 2f;
				    }
			    }
		    );
		    ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Metal Cube"), // Searches the ingame catalog and returns with the inputted string if possible.
                    NameOverride = "Hedgehog-AWM", // Name.
                    NameToOrderByOverride = "Metal Cube 2", // How the item is ordered (I didn't want it in the 'G' section, so I renamed it to Brick 2, so it shows up next to the brick.)
                    DescriptionOverride = "Used to stop tanks and other vehicles.",// Description
                    CategoryOverride = ModAPI.FindCategory("World War I"),//Category
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbs/Hedgehog Thumb.png", 5f),//Thumbnail
                    AfterSpawn = (Instance) =>
			        {
                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/Hedgehog.png");
                     Instance.FixColliders();
                    
				    }
			    }
		    );
		 		   ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("M1 Garand"), // Searches the ingame catalog and returns with the inputted string if possible.
                    NameOverride = "Karabiner 88-AWM", // Name.
                    NameToOrderByOverride = "M1 Garand 2", // How the item is ordered (I didn't want it in the 'G' section, so I renamed it to Brick 2, so it shows up next to the brick.)
                    DescriptionOverride = "A shorter version of the Gewehr 98.",// Description
                    CategoryOverride = ModAPI.FindCategory("World War I"),//Category
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbs/Karabiner 88 Thumb.png", 5f),//Thumbnail
                    AfterSpawn = (Instance) =>
			        {
                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/karabiner 88.png");
                     Instance.FixColliders();
				     var firearm = Instance.GetComponent<FirearmBehaviour>();				
                        firearm.ShotSounds = new AudioClip[]
                        {
                            ModAPI.LoadSound("Karabiner shot.wav")
                        };
				  
				    }
			    }
		    );
		    ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Stick"), // Searches the ingame catalog and returns with the inputted string if possible.
                    NameOverride = "Poppy-AWM", // Name.
                    NameToOrderByOverride = "Stick 2", // How the item is ordered (I didn't want it in the 'G' section, so I renamed it to Brick 2, so it shows up next to the brick.)
                    DescriptionOverride = "Lest we forget.",// Description
                    CategoryOverride = ModAPI.FindCategory("World War I"),//Category
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbs/Poppy Thumb.png", 5f),//Thumbnail
                    AfterSpawn = (Instance) =>
			        {
                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/Poppy.png");
                     Instance.FixColliders();
                   	AudioSource AS = Instance.AddComponent<AudioSource>();
                        AS.minDistance = 1;
                        AS.maxDistance = 3;




                        int index = 0;
                        AudioClip[] AudioData = new AudioClip[]
                        {
                            ModAPI.LoadSound("Flanders.wav"),
                        };


                        Instance.FixColliders();

                        Instance.AddComponent<UseEventTrigger>().Action = () =>
                        {
                            AS.clip = AudioData[index];
                            AS.Play();

                            index++;
                            if (index == AudioData.Length) index = 0;
                        };
				    }
			    }
		    );
		    ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Face Plate-AWM",
                    NameToOrderByOverride = "f",
                    DescriptionOverride = "Many versions of face armor existed through out WW1.",
                    CategoryOverride = ModAPI.FindCategory("World War I"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbs/FP Thumb.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/FP.png");
						Instance.FixColliders();
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 1f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;
                        armor.otherResist = 1f;
					}
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Armor Chestplate -AWM",
                    NameToOrderByOverride = "Rod 2",
                    DescriptionOverride = "used to protect from shrapnel and block the odd bullet.",
                    CategoryOverride = ModAPI.FindCategory("World War I"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbs/AC Thumb.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/AC.png");
						Instance.FixColliders();
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 1;
                        armor.armorPiece = "UpperBody";
                        armor.armorTier = 1;
                        armor.otherResist = 1f;
				    }
                }
            );
		        ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Midsection Armor -AWM",
                    NameToOrderByOverride = "Rod 2",
                    DescriptionOverride = "used to protect from shrapnel and block the odd bullet.",
                    CategoryOverride = ModAPI.FindCategory("World War I"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbs/MA Thumb.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/MA.png");
						Instance.FixColliders();
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 2f;
                        armor.armorPiece = "MiddleBody";
                        armor.armorTier = 2;
                        armor.otherResist = 2f;
				    }
                }
            );
		         ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Lower Armor -AWM",
                    NameToOrderByOverride = "Rod 2",
                    DescriptionOverride = "used to protect from shrapnel and block the odd bullet.",
                    CategoryOverride = ModAPI.FindCategory("World War I"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbs/LA Thumb.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/LA.png");
						Instance.FixColliders();
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 2f;
                        armor.armorPiece = "LowerBody";
                        armor.armorTier = 2;
                        armor.otherResist = 2f;
				    }
                }
            );
		    ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Lower Arm Armor -AWM",
                    NameToOrderByOverride = "Rod 2",
                    DescriptionOverride = "used to protect from shrapnel and block the odd bullet.",
                    CategoryOverride = ModAPI.FindCategory("World War I"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbs/AG Thumb.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/AG.png");
						Instance.FixColliders();
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance =2f;
                        armor.armorPiece = "LowerArm";
                        armor.armorTier = 2;
                        armor.otherResist =2f;
 				    }
                }
            );
		    ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Lower Arm Armor Front-AWM",
                    NameToOrderByOverride = "Rod 2",
                    DescriptionOverride = "used to protect from shrapnel and block the odd bullet.",
                    CategoryOverride = ModAPI.FindCategory("World War I"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbs/AG Thumb.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/AG.png");
						Instance.FixColliders();
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance =2f;
                        armor.armorPiece = "LowerArmFront";
                        armor.armorTier = 2;
                        armor.otherResist = 2f;
				    }
                }
            );
     	    ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Upper Arm Armor -AWM",
                    NameToOrderByOverride = "Rod 2",
                    DescriptionOverride = "used to protect from shrapnel and block the odd bullet.",
                    CategoryOverride = ModAPI.FindCategory("World War I"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbs/UA Thumb.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/UA.png");
						Instance.FixColliders();
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 2f;
                        armor.armorPiece = "UpperArm";
                        armor.armorTier = 2;
                        armor.otherResist = 2f;
 				    }
                }
            );
		    ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Upper Arm Armor Front-AWM",
                    NameToOrderByOverride = "Rod 2",
                    DescriptionOverride = "used to protect from shrapnel and block the odd bullet.",
                    CategoryOverride = ModAPI.FindCategory("World War I"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbs/UA Thumb.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/UA.png");
						Instance.FixColliders();
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 2;
                        armor.armorPiece = "UpperArmFront";
                        armor.armorTier = 2;
                        armor.otherResist = 2f;
				    }
                }
            );

				    ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Shotgun"), // Searches the ingame catalog and returns with the inputted string if possible.
                    NameOverride = "American Trench Shotgun-AWM", // Name.
                    NameToOrderByOverride = "Shotgun 2", // How the item is ordered (I didn't want it in the 'G' section, so I renamed it to Brick 2, so it shows up next to the brick.)
                    DescriptionOverride = "First invented by the Americans the trench shotgun was a deadly weapon that ravaged enemy Trenches.",// Description
                    CategoryOverride = ModAPI.FindCategory("World War I"),//Category
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbs/Trench Shotgun Thumb.png", 5f),//Thumbnail
                    AfterSpawn = (Instance) =>
			        {
                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/Trench Shotgun.png");
                     Instance.FixColliders();
                     
				    }
			    }
		    );
		 		   ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Sniper Rifle"), // Searches the ingame catalog and returns with the inputted string if possible.
                    NameOverride = "Tankgewehr-AWM", // Name.
                    NameToOrderByOverride = "F", // How the item is ordered (I didn't want it in the 'G' section, so I renamed it to Brick 2, so it shows up next to the brick.)
                    DescriptionOverride = "The worlds first anti tank rifle.",// Description
                    CategoryOverride = ModAPI.FindCategory("World War I"),//Category
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbs/Tankgewehr Thumb.png", 5f),//Thumbnail
                    AfterSpawn = (Instance) =>
			        {
                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/Tankgewehr.png");
                     Instance.FixColliders();
				     var firearm = Instance.GetComponent<FirearmBehaviour>();				
                        firearm.ShotSounds = new AudioClip[]
                        {
                            ModAPI.LoadSound("Tankgewehr shot.wav")
                        };
				  
				    }
			    }
		    );
		       
 			    ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
                    NameOverride = "American Soldier-AWM", //new item name with a suffix to assure it is globally unique
                    DescriptionOverride = "Served in the war.", //new item description
                    CategoryOverride = ModAPI.FindCategory("World War I"), //new item category
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbs/American Soldier Thumb.png"), //new item thumbnail (relative path)
                    AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
                    {
                                    //load textures for each layer (see Human textures folder in this repository)
                                    var skin = ModAPI.LoadTexture("Sprites/American Soldier.png");
                                    var flesh = ModAPI.LoadTexture("blueFlesh.png");
                                    var bone = ModAPI.LoadTexture("blueBone.png");

                                            //get person
                                    var person = Instance.GetComponent<PersonBehaviour>();
   
                                    
									person.SetBodyTextures(skin, flesh, bone, 1);

                                   
                                     person.SetBruiseColor(86, 62, 130);
                                     person.SetSecondBruiseColor(154, 0, 7); 
                                     person.SetThirdBruiseColor(207, 206, 120); 
                                     person.SetRottenColour(202, 199, 104); 
                                     person.SetBloodColour(108, 0, 4);
                    }
                }
            );
			    ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "American Helmet-AWM",
                    NameToOrderByOverride = "f",
                    DescriptionOverride = "Worn by American Soldiers.",
                    CategoryOverride = ModAPI.FindCategory("World War I"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbs/American Helmet Thumb.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/American Helmet.png");
						Instance.FixColliders();
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 2f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 0;
                    }
                }
            );
		        ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("AK-47"), // Searches the ingame catalog and returns with the inputted string if possible.
                    NameOverride = "Browning Automatic Rifle-AWM", // Name.
                    NameToOrderByOverride = "F", // How the item is ordered (I didn't want it in the 'G' section, so I renamed it to Brick 2, so it shows up next to the brick.)
                    DescriptionOverride = "barley used by the Americans towards the end of WW1 but made a big comeback during WW2.",// Description
                    CategoryOverride = ModAPI.FindCategory("World War I"),//Category
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbs/Browning Automatic Rifle Thumb.png", 5f),//Thumbnail
                    AfterSpawn = (Instance) =>
			        {
                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/Browning Automatic Rifle.png");
                     Instance.FixColliders();
                        var firearm = Instance.GetComponent<FirearmBehaviour>();
						firearm.AutomaticFireInterval = 0.20f;
                        firearm.ShotSounds = new AudioClip[]
                        {
                            ModAPI.LoadSound("Browning Automatic Rifle shot.wav")
                        };
				    }
			    }
		    );
		 	    ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
                    NameOverride = "American Officer-AWM", //new item name with a suffix to assure it is globally unique
                    DescriptionOverride = "Commanded his men in battle.", //new item description
                    CategoryOverride = ModAPI.FindCategory("World War I"), //new item category
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbs/American Officer Thumb.png"), //new item thumbnail (relative path)
                    AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
                    {
                                    //load textures for each layer (see Human textures folder in this repository)
                                    var skin = ModAPI.LoadTexture("Sprites/American Officer.png");
                                    var flesh = ModAPI.LoadTexture("blueFlesh.png");
                                    var bone = ModAPI.LoadTexture("blueBone.png");

                                            //get person
                                    var person = Instance.GetComponent<PersonBehaviour>();
   
                                    
									person.SetBodyTextures(skin, flesh, bone, 1);

                                   
                                     person.SetBruiseColor(86, 62, 130);
                                     person.SetSecondBruiseColor(154, 0, 7); 
                                     person.SetThirdBruiseColor(207, 206, 120); 
                                     person.SetRottenColour(202, 199, 104); 
                                     person.SetBloodColour(108, 0, 4);
                    }
                }
            );
			    ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "American Officer Cap-AWM",
                    NameToOrderByOverride = "f",
                    DescriptionOverride = "Worn by American Officers during WW1.",
                    CategoryOverride = ModAPI.FindCategory("World War I"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbs/American Officer Cap Thumb.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/American Officer Cap.png");
						Instance.FixColliders();
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 2f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 0;
                    }
                }
            );
			    ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
                    NameOverride = "Canadian Soldier-AWM", //new item name with a suffix to assure it is globally unique
                    DescriptionOverride = "Served in the war.", //new item description
                    CategoryOverride = ModAPI.FindCategory("World War I"), //new item category
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbs/Canadian Soldier Thumb.png"), //new item thumbnail (relative path)
                    AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
                    {
                                    //load textures for each layer (see Human textures folder in this repository)
                                    var skin = ModAPI.LoadTexture("Sprites/Canadian Soldier.png");
                                    var flesh = ModAPI.LoadTexture("blueFlesh.png");
                                    var bone = ModAPI.LoadTexture("blueBone.png");

                                            //get person
                                    var person = Instance.GetComponent<PersonBehaviour>();
   
                                    
									person.SetBodyTextures(skin, flesh, bone, 1);

                                   
                                     person.SetBruiseColor(86, 62, 130);
                                     person.SetSecondBruiseColor(154, 0, 7); 
                                     person.SetThirdBruiseColor(207, 206, 120); 
                                     person.SetRottenColour(202, 199, 104); 
                                     person.SetBloodColour(108, 0, 4);
                    }
                }
            );
				 ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Canadian Helmet-AWM",
                    NameToOrderByOverride = "f",
                    DescriptionOverride = "Worn by Canadian Soldiers.",
                    CategoryOverride = ModAPI.FindCategory("World War I"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbs/Canadian Helmet Thumb.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/Canadian Helmet.png");
						Instance.FixColliders();
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 2f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 0;
                    }
                }
            );
			    ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Canadian Helmet With Netting-AWM",
                    NameToOrderByOverride = "f",
                    DescriptionOverride = "Worn by Canadian Soldiers.",
                    CategoryOverride = ModAPI.FindCategory("World War I"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbs/Canadian Helmet With Netting Thumb.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/Canadian Helmet With Netting.png");
						Instance.FixColliders();
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 2f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 0;
                    }
                }
            );
			    ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("M1 Garand"), // Searches the ingame catalog and returns with the inputted string if possible.
                    NameOverride = "Ross Rifle-AWM", // Name.
                    NameToOrderByOverride = "F", // How the item is ordered (I didn't want it in the 'G' section, so I renamed it to Brick 2, so it shows up next to the brick.)
                    DescriptionOverride = "Used by the Canadians.",// Description
                    CategoryOverride = ModAPI.FindCategory("World War I"),//Category
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbs/Ross Rifle Thumb.png", 5f),//Thumbnail
                    AfterSpawn = (Instance) =>
			        {
                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/Ross Rifle.png");
                     Instance.FixColliders();
                        var firearm = Instance.GetComponent<FirearmBehaviour>();
						firearm.AutomaticFireInterval = 0.20f;
                        firearm.ShotSounds = new AudioClip[]
                        {
                            ModAPI.LoadSound("Ross Rifle shot.wav")
                        };
				    }
			    }
		    );
		}
	}
}
	